﻿/*
One of those Weeks Episode 37
Copyright (c) 2008,2011 Blazing Games Inc.
Code written by Billy D. Spelchan

This program is free software; you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by the Free Software 
Foundation; either version 2 of the License, or (at your option) any later 
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package com.blazinggames.ootw.ep37
{
	// Adobe Imports
	import flash.display.MovieClip;

	public class CircuitStatus
	extends MovieClip
	{
// ***** CONSTANTS **********************************************************

		public static const MISSING_PARTS:int = 0; 
		public static const INVALID_CONFIG:int = 1;
		public static const CORRECT:int = 2;

// ***** VARIAIBLES *********************************************************

		protected var currentState:int;

// ***** CONSTRUCTOR ********************************************************

		public function CircuitStatus()
		{
			gotoAndStop(1);
			currentState = 0;
		}

// ***** Functions - Getters and Setters ************************************

		public function getState():int
		{
			return currentState;
		}

		public function setState(stateID:int)
		{
			gotoAndStop(stateID+1);
			currentState = stateID;
		}

	} // end class
} // end package
